Page MenuHomePhabricator

removeUselessSpaces doesn't work with tabs
Closed, ResolvedPublic

Description

Steps to reproduce

  1. Find or create a page with e.g. heading == Something == (== Something ==<tab><tab><tab>...)
  2. Run cosmetic changes on it (or whatever with cosmetic turned on in prefs)

Expected behavior
These tabs should be removed by removeUselessSpaces in cosmetic changes

Current behavior
Nothing happens to them

Configuration
Python 3.6.2, Pywikibot core master latest commit

Event Timeline

Dvorapa created this task.Oct 25 2017, 9:58 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptOct 25 2017, 9:58 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 25 2017, 9:59 PM
Xqt added a subscriber: Xqt.Oct 26 2017, 10:55 AM

I am wondering how tabs could be created inside wikitext.

I am wondering how tabs could be created inside wikitext.

I know some users of cswiki are using some external editor (e.g. notepad) and then just copy the text to wiki.

Xqt triaged this task as Low priority.Oct 30 2017, 6:58 AM

Shouldn't this be solved upstream?

Shouldn't this be solved upstream?

You mean when copypasting to wikitext editor?

Xqt added a comment.Oct 31 2017, 11:07 AM

@Dvorapa: Yes, while saving the page.

Maybe, yes. MW devs attitude may be negative to this (I know them), but this issue seems like more upstream one.

Change 387938 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[pywikibot/core@master] Get removeUselessSpaces working with tabs

https://gerrit.wikimedia.org/r/387938

Change 387938 merged by jenkins-bot:
[pywikibot/core@master] [bugfix][TEST] cc: Get removeUselessSpaces working with tabs

https://gerrit.wikimedia.org/r/387938

Xqt closed this task as Resolved.Nov 2 2017, 7:19 AM